## firejail 0.9.72

=== Makefile ===
ROOT = .
-include config.mk

ifneq ($(HAVE_MAN),no)
MAN_TARGET = man
MAN_SRC = src/man
endif

COMPLETIONDIRS = src/zsh_completion src/bash_completion

APPS = src/firecfg/firecfg src/firejail/firejail src/firemon/firemon src/profstats/profstats src/jailcheck/jailcheck
SBOX_APPS = src/fbuilder/fbuilder src/ftee/ftee src/fids/fids
SBOX_APPS_NON_DUMPABLE = src/fcopy/fcopy src/fldd/fldd src/fnet/fnet src/fnetfilter/fnetfilter src/fzenity/fzenity
SBOX_APPS_NON_DUMPABLE += src/fsec-optimize/fsec-optimize src/fsec-print/fsec-print src/fseccomp/fseccomp
SBOX_APPS_NON_DUMPABLE += src/fnettrace/fnettrace src/fnettrace-dns/fnettrace-dns src/fnettrace-sni/fnettrace-sni
SBOX_APPS_NON_DUMPABLE += src/fnettrace-icmp/fnettrace-icmp
MYDIRS = src/lib $(MAN_SRC) $(COMPLETIONDIRS)
MYLIBS = src/libpostexecseccomp/libpostexecseccomp.so src/libtrace/libtrace.so src/libtracelog/libtracelog.so
COMPLETIONS = src/zsh_completion/_firejail src/bash_completion/firejail.bash_completion
MANPAGES = firejail.1 firemon.1 firecfg.1 firejail-profile.5 firejail-login.5 firejail-users.5 jailcheck.1
SECCOMP_FILTERS = seccomp seccomp.debug seccomp.32 seccomp.block_secondary seccomp.mdwx seccomp.mdwx.32
ALL_ITEMS = $(APPS) $(SBOX_APPS) $(SBOX_APPS_NON_DUMPABLE) $(MYLIBS)

.PHONY: all
all: all_items mydirs $(MAN_TARGET) filters

config.mk config.sh:
	printf 'run ./configure to generate %s\n' "$@" >&2
	false

.PHONY: all_items $(ALL_ITEMS)
all_items: $(ALL_ITEMS)
$(ALL_ITEMS): $(MYDIRS)
	$(MAKE) -C $(dir $@)

.PHONY: mydirs $(MYDIRS)
mydirs: $(MYDIRS)
$(MYDIRS):
	$(MAKE) -C $@

$(MANPAGES): src/man config.mk
	./mkman.sh $(VERSION) src/man/$(basename $@).man $@

man: $(MANPAGES)

filters: $(SECCOMP_FILTERS) $(SBOX_APPS_NON_DUMPABLE)
seccomp: src/fseccomp/fseccomp src/fsec-optimize/fsec-optimize
	src/fseccomp/fseccomp default seccomp
	src/fsec-optimize/fsec-optimize seccomp

seccomp.debug: src/fseccomp/fseccomp src/fsec-optimize/fsec-optimize
	src/fseccomp/fseccomp default seccomp.debug allow-debuggers
	src/fsec-optimize/fsec-optimize seccomp.debug

seccomp.32: src/fseccomp/fseccomp src/fsec-optimize/fsec-optimize
	src/fseccomp/fseccomp secondary 32 seccomp.32
	src/fsec-optimize/fsec-optimize seccomp.32

seccomp.block_secondary: src/fseccomp/fseccomp
	src/fseccomp/fseccomp secondary block seccomp.block_secondary

seccomp.mdwx: src/fseccomp/fseccomp
	src/fseccomp/fseccomp memory-deny-write-execute seccomp.mdwx

seccomp.mdwx.32: src/fseccomp/fseccomp
	src/fseccomp/fseccomp memory-deny-write-execute.32 seccomp.mdwx.32

.PHONY: clean
clean:
	for dir in $$(dirname $(ALL_ITEMS)) $(MYDIRS); do \
		$(MAKE) -C $$dir clean; \
	done
	$(MAKE) -C test clean
	rm -f $(MANPAGES) $(MANPAGES:%=%.gz) firejail*.rpm
	rm -f $(SECCOMP_FILTERS)
	rm -f test/utils/index.html*
	rm -f test/utils/wget-log
	rm -f test/utils/firejail-test-file*
	rm -f test/utils/lstesting
	rm -f test/environment/index.html*
	rm -f test/environment/wget-log*
	rm -fr test/environment/-testdir
	rm -f test/environment/logfile*
	rm -f test/environment/index.html
	rm -f test/environment/wget-log
	rm -f test/sysutils/firejail_t*
	cd test/compile; ./compile.sh --clean; cd ../..

.PHONY: distclean
distclean: clean
	for dir in $$(dirname $(ALL_ITEMS)) $(MYDIRS); do \
		$(MAKE) -C $$dir distclean; \
	done
	$(MAKE) -C test distclean
	rm -fr autom4te.cache config.log config.mk config.sh config.status

realinstall: config.mk
	# firejail executable
	install -m 0755 -d $(DESTDIR)$(bindir)
	install -m 0755 src/firejail/firejail $(DESTDIR)$(bindir)
ifeq ($(HAVE_SUID),-DHAVE_SUID)
	chmod u+s $(DESTDIR)$(bindir)/firejail
endif
	# firemon executable
	install -m 0755 src/firemon/firemon $(DESTDIR)$(bindir)
	# firecfg executable
	install -m 0755 src/firecfg/firecfg $(DESTDIR)$(bindir)
	# jailcheck executable
	install -m 0755 src/jailcheck/jailcheck $(DESTDIR)$(bindir)
	# libraries and plugins
	install -m 0755 -d $(DESTDIR)$(libdir)/firejail
	install -m 0755 -t $(DESTDIR)$(libdir)/firejail src/firecfg/firejail-welcome.sh
	install -m 0644 -t $(DESTDIR)$(libdir)/firejail $(MYLIBS) $(SECCOMP_FILTERS)
	install -m 0755 -t $(DESTDIR)$(libdir)/firejail $(SBOX_APPS)
	install -m 0755 -t $(DESTDIR)$(libdir)/firejail src/profstats/profstats
	# plugins w/o read permission (non-dumpable)
	install -m 0711 -t $(DESTDIR)$(libdir)/firejail $(SBOX_APPS_NON_DUMPABLE)
	install -m 0711 -t $(DESTDIR)$(libdir)/firejail src/fshaper/fshaper.sh
	install -m 0644 -t $(DESTDIR)$(libdir)/firejail src/fnettrace/static-ip-map
ifeq ($(HAVE_CONTRIB_INSTALL),yes)
	# contrib scripts
	install -m 0755 -t $(DESTDIR)$(libdir)/firejail contrib/*.py contrib/*.sh
	# vim syntax
	install -m 0755 -d $(DESTDIR)$(datarootdir)/vim/vimfiles/ftdetect
	install -m 0755 -d $(DESTDIR)$(datarootdir)/vim/vimfiles/syntax
	install -m 0644 contrib/vim/ftdetect/firejail.vim $(DESTDIR)$(datarootdir)/vim/vimfiles/ftdetect
	install -m 0644 contrib/vim/syntax/firejail.vim $(DESTDIR)$(datarootdir)/vim/vimfiles/syntax
	# gtksourceview-5 language-specs
	install -m 0755 -d $(DESTDIR)$(datarootdir)/gtksourceview-5/language-specs
	install -m 0644 contrib/gtksourceview-5/language-specs/firejail-profile.lang $(DESTDIR)$(datarootdir)/gtksourceview-5/language-specs
endif
	# documents
	install -m 0755 -d $(DESTDIR)$(docdir)
	install -m 0644 -t $(DESTDIR)$(docdir) COPYING README RELNOTES etc/templates/*
	# profiles and settings
	install -m 0755 -d $(DESTDIR)$(sysconfdir)/firejail
	install -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail src/firecfg/firecfg.config
	install -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail etc/profile-a-l/*.profile etc/profile-m-z/*.profile etc/inc/*.inc etc/net/*.net etc/firejail.config
	sh -c "if [ ! -f $(DESTDIR)/$(sysconfdir)/firejail/login.users ]; then install -c -m 0644 etc/login.users $(DESTDIR)/$(sysconfdir)/firejail/.; fi;"
ifeq ($(HAVE_IDS),-DHAVE_IDS)
	install -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail etc/ids.config
endif
ifeq ($(BUSYBOX_WORKAROUND),yes)
	./mketc.sh $(DESTDIR)$(sysconfdir)/firejail/disable-common.inc
endif
ifeq ($(HAVE_APPARMOR),-DHAVE_APPARMOR)
	# install apparmor profile
	sh -c "if [ ! -d $(DESTDIR)/$(sysconfdir)/apparmor.d ]; then install -d -m 755 $(DESTDIR)/$(sysconfdir)/apparmor.d; fi;"
	install -m 0644 etc/apparmor/firejail-default $(DESTDIR)$(sysconfdir)/apparmor.d
	# install apparmor profile customization file
	sh -c "if [ ! -d $(DESTDIR)/$(sysconfdir)/apparmor.d/local ]; then install -d -m 755 $(DESTDIR)/$(sysconfdir)/apparmor.d/local; fi;"
	sh -c "if [ ! -f $(DESTDIR)/$(sysconfdir)/apparmor.d/local/firejail-default ]; then install -c -m 0644 etc/apparmor/firejail-local $(DESTDIR)/$(sysconfdir)/apparmor.d/local/firejail-default; fi;"
	# install apparmor base abstraction drop-in
	sh -c "if [ ! -d $(DESTDIR)/$(sysconfdir)/apparmor.d/abstractions ]; then install -d -m 755 $(DESTDIR)/$(sysconfdir)/apparmor.d/abstractions; fi;"
	sh -c "if [ ! -d $(DESTDIR)/$(sysconfdir)/apparmor.d/abstractions/base.d ]; then install -d -m 755 $(DESTDIR)/$(sysconfdir)/apparmor.d/abstractions/base.d; fi;"
	install -m 0644 etc/apparmor/firejail-base $(DESTDIR)$(sysconfdir)/apparmor.d/abstractions/base.d
endif
ifneq ($(HAVE_MAN),no)
	# man pages
	install -m 0755 -d $(DESTDIR)$(mandir)/man1 $(DESTDIR)$(mandir)/man5
	for man in $(MANPAGES); do \
		rm -f $$man.gz; \
		gzip -9n $$man; \
		case "$$man" in \
			*.1) install -m 0644 $$man.gz $(DESTDIR)$(mandir)/man1/; ;; \
			*.5) install -m 0644 $$man.gz $(DESTDIR)$(mandir)/man5/; ;; \
		esac; \
	done
	rm -f $(MANPAGES) $(MANPAGES:%=%.gz)
endif
	# bash completion
	install -m 0755 -d $(DESTDIR)$(datarootdir)/bash-completion/completions
	install -m 0644 src/bash_completion/firejail.bash_completion $(DESTDIR)$(datarootdir)/bash-completion/completions/firejail
	install -m 0644 src/bash_completion/firemon.bash_completion $(DESTDIR)$(datarootdir)/bash-completion/completions/firemon
	install -m 0644 src/bash_completion/firecfg.bash_completion $(DESTDIR)$(datarootdir)/bash-completion/completions/firecfg
	# zsh completion
	install -m 0755 -d $(DESTDIR)$(datarootdir)/zsh/site-functions
	install -m 0644 src/zsh_completion/_firejail $(DESTDIR)$(datarootdir)/zsh/site-functions/

install: all
	$(MAKE) realinstall

install-strip: all
	strip $(ALL_ITEMS)
	$(MAKE) realinstall

uninstall: config.mk
	rm -f $(DESTDIR)$(bindir)/firejail
	rm -f $(DESTDIR)$(bindir)/firemon
	rm -f $(DESTDIR)$(bindir)/firecfg
	rm -f $(DESTDIR)$(bindir)/jailcheck
	rm -fr $(DESTDIR)$(libdir)/firejail
	rm -fr $(DESTDIR)$(datarootdir)/doc/firejail
	for man in $(MANPAGES); do \
		rm -f $(DESTDIR)$(mandir)/man5/$$man*; \
		rm -f $(DESTDIR)$(mandir)/man1/$$man*; \
	done
	rm -f $(DESTDIR)$(datarootdir)/bash-completion/completions/firejail
	rm -f $(DESTDIR)$(datarootdir)/bash-completion/completions/firemon
	rm -f $(DESTDIR)$(datarootdir)/bash-completion/completions/firecfg
	rm -f $(DESTDIR)$(datarootdir)/zsh/site-functions/_firejail
	rm -f $(DESTDIR)$(datarootdir)/vim/vimfiles/ftdetect/firejail.vim
	rm -f $(DESTDIR)$(datarootdir)/vim/vimfiles/syntax/firejail.vim
	@echo "If you want to install a different version of firejail, you might also need to run 'rm -fr $(DESTDIR)$(sysconfdir)/firejail', see #2038."

DISTFILES = \
COPYING \
Makefile \
README \
RELNOTES \
config.mk.in \
config.sh.in \
configure \
configure.ac \
contrib \
etc \
install.sh \
m4 \
mkdeb.sh \
mketc.sh \
mkman.sh \
platform \
src

DISTFILES_TEST = test/Makefile test/apps test/apps-x11 test/apps-x11-xorg test/root test/private-lib test/fnetfilter test/fcopy test/environment test/profiles test/utils test/compile test/filters test/network test/fs test/sysutils test/chroot

dist: config.mk
	mv config.sh config.sh.old
	mv config.status config.status.old
	make distclean
	mv config.status.old config.status
	mv config.sh.old config.sh
	rm -fr $(TARNAME)-$(VERSION) $(TARNAME)-$(VERSION).tar.xz
	mkdir -p $(TARNAME)-$(VERSION)/test
	cp -a $(DISTFILES) $(TARNAME)-$(VERSION)
	cp -a $(DISTFILES_TEST) $(TARNAME)-$(VERSION)/test
	rm -rf $(TARNAME)-$(VERSION)/src/tools
	find $(TARNAME)-$(VERSION) -name .svn -delete
	tar -cJvf $(TARNAME)-$(VERSION).tar.xz $(TARNAME)-$(VERSION)
	rm -fr $(TARNAME)-$(VERSION)

asc: config.mk
	./mkasc.sh $(VERSION)

deb: dist config.sh
	./mkdeb.sh

deb-apparmor: dist config.sh
	./mkdeb.sh -apparmor --enable-apparmor

test-compile: dist config.mk
	cd test/compile; ./compile.sh $(TARNAME)-$(VERSION)

.PHONY: rpms
rpms: src/man config.mk
	./platform/rpm/mkrpm.sh $(TARNAME) $(VERSION)

extras: all
	$(MAKE) -C extras/firetools

cppcheck: clean
	cppcheck --force --error-exitcode=1 --enable=warning,performance .

scan-build: clean
	NO_EXTRA_CFLAGS="yes" scan-build make

#
# make test
#

TESTS=profiles apps apps-x11 apps-x11-xorg sysutils utils environment filters fs fcopy fnetfilter
TEST_TARGETS=$(patsubst %,test-%,$(TESTS))

$(TEST_TARGETS):
	$(MAKE) -C test $(subst test-,,$@)

test: test-profiles test-fcopy test-fnetfilter test-fs test-utils test-sysutils test-environment test-apps test-apps-x11 test-apps-x11-xorg test-filters
	echo "TEST COMPLETE"

test-noprofiles: test-fcopy test-fnetfilter test-fs test-utils test-sysutils test-environment test-apps test-apps-x11 test-apps-x11-xorg test-filters
	echo "TEST COMPLETE"

test-github: test-profiles test-fcopy test-fnetfilter test-fs test-utils test-sysutils test-environment
	echo "TEST COMPLETE"

##########################################
# Individual tests, some of them require root access
# The tests are very intrusive, by the time you are done
# with them you will need to restart your computer.
##########################################
# private-lib is disabled by default in /etc/firejail/firejail.config
test-private-lib:
	$(MAKE) -C test $(subst test-,,$@)

# a firejail-test account is required, public/private key setup
test-ssh:
	$(MAKE) -C test $(subst test-,,$@)

# requires root access
test-chroot:
	$(MAKE) -C test $(subst test-,,$@)

# Huge appimage files, not included in "make dist" archive
test-appimage:
	$(MAKE) -C test $(subst test-,,$@)

# Root access, network devices are created before the test

=== src/bash_completion/Makefile ===
.PHONY: all
all: firejail.bash_completion

ROOT = ../..
-include $(ROOT)/config.mk

firejail.bash_completion: firejail.bash_completion.in $(ROOT)/config.mk
	gawk -f ../man/preproc.awk -- $(MANFLAGS) < $< > $@.tmp
	sed "s|_SYSCONFDIR_|$(sysconfdir)|" < $@.tmp > $@
	rm $@.tmp

.PHONY: clean
clean:
	rm -fr firejail.bash_completion

.PHONY: distclean
distclean: clean

=== src/fbuilder/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fbuilder
TARGET = $(PROG)

MOD_HDRS = ../include/common.h ../include/syscall.h

include $(ROOT)/src/prog.mk

=== src/fcopy/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fcopy
TARGET = $(PROG)

MOD_HDRS = ../include/common.h ../include/syscall.h
MOD_OBJS = ../lib/common.o

include $(ROOT)/src/prog.mk

=== src/fids/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fids
TARGET = $(PROG)

MOD_HDRS = ../include/common.h

include $(ROOT)/src/prog.mk

=== src/firecfg/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = firecfg
TARGET = $(PROG)

MOD_HDRS = \
../include/common.h \
../include/euid_common.h \
../include/libnetlink.h \
../include/firejail_user.h \
../include/pid.h

MOD_OBJS = ../lib/common.o ../lib/firejail_user.o

include $(ROOT)/src/prog.mk

=== src/firejail/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = firejail
TARGET = $(PROG)

MOD_HDRS = \
../include/rundefs.h \
../include/common.h \
../include/ldd_utils.h \
../include/euid_common.h \
../include/pid.h \
../include/seccomp.h \
../include/syscall_i386.h \
../include/syscall_x86_64.h \
../include/firejail_user.h

MOD_OBJS = \
../lib/common.o \
../lib/ldd_utils.o \
../lib/firejail_user.o \
../lib/errno.o \
../lib/syscall.o

include $(ROOT)/src/prog.mk

=== src/firemon/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = firemon
TARGET = $(PROG)

MOD_HDRS = ../include/common.h ../include/pid.h
MOD_OBJS = ../lib/common.o ../lib/pid.o

include $(ROOT)/src/prog.mk

=== src/fldd/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fldd
TARGET = $(PROG)

MOD_HDRS = ../include/common.h ../include/syscall.h ../include/ldd_utils.h
MOD_OBJS = ../lib/common.o ../lib/ldd_utils.o

include $(ROOT)/src/prog.mk

=== src/fnet/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fnet
TARGET = $(PROG)

MOD_HDRS = ../include/common.h ../include/libnetlink.h
MOD_OBJS = ../lib/common.o ../lib/libnetlink.o

include $(ROOT)/src/prog.mk

=== src/fnettrace-icmp/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fnettrace-icmp
TARGET = $(PROG)

include $(ROOT)/src/prog.mk

=== src/fnettrace-sni/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fnettrace-sni
TARGET = $(PROG)

include $(ROOT)/src/prog.mk

## firejail 0.9.28

=== debian/changelog ===
firejail (0.9.28-1) unstable; urgency=low

  * New upstream release.
    - Common include for blacklisted directories (Closes: #789164)
    - Improved support for other architectures (Closes: #789317)
  * Enabled all Linux architectures again.
  * Removed unneeded debian/firejail.bash-completion file.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 05 Aug 2015 23:13:40 +0200

firejail (0.9.26-1) unstable; urgency=low

  * New upstream release.
  * Enabled all hardening options.
  * Amended reproducibility patch to use normalized locale.
  * Dropped usage of outdated bash-completion debhelper.
  * Limited architectures to supported ones (Closes: #789163).

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 18 Jun 2015 19:36:29 +0200

firejail (0.9.24-1) unstable; urgency=low

  * New upstream release.
  * Dropped patches applied upstream.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 06 Apr 2015 12:56:57 +0200

firejail (0.9.22-1) unstable; urgency=low

  * Initial release (Closes: #777671)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 15 Mar 2015 12:51:24 +0100

=== debian/control ===
Source: firejail
Section: utils
Priority: optional
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper (>= 9), autotools-dev
Standards-Version: 3.9.6
Homepage: http://firejail.sourceforge.net

Package: firejail
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sandbox to restrict the application environment
 Firejail is a SUID security sandbox program that reduces the risk of
 security breaches by restricting the running environment of untrusted
 applications using Linux namespaces and seccomp-bpf.  It allows a
 process and all its descendants to have their own private view of the
 globally shared kernel resources, such as the network stack, process
 table, mount table.

## firejail 0.9.38

=== debian/changelog ===
firejail (0.9.38-1ubuntu0.1) xenial-security; urgency=low

  * SECURITY UPDATE: sandbox escape via TIOCSTI ioctl (LP: #1655136)
    - debian/patches/CVE-2016-9016.patch: cherry-picked from upstream
      0.9.38-LTS branch (commit 19302eb)
    - CVE-2016-9016
  * SECURITY UPDATE: truncate /etc/resolv.conf as non-root user (LP: #1655136)
    - debian/patches/CVE-2016-10118.patch: cherry-picked from upstream
      0.9.38-LTS branch (commit 4f4e59c)
    - CVE-2016-10118
  * SECURITY UPDATE: local privilege escalation to root (LP: #1655136)
    - debian/patches/CVE-2017-5180.patch: cherry-picked from upstream
      0.9.38-LTS branch (commit ad97545)
    - CVE-2017-5180

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 17 Jan 2017 20:16:26 +0100

firejail (0.9.38-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.7.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 07 Feb 2016 12:07:07 +0100

firejail (0.9.36-1) unstable; urgency=low

  * New upstream release.
    - Support for logging of blacklist violations (Closes: #794837)
  * Updated Homepage field.
  * Dropped reproducibility patch, which has been applied upstream.
  * Dropped debian/missing-sources. Upstream removed binaries
    from release tarball.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 29 Dec 2015 20:46:42 +0100

firejail (0.9.34-1) unstable; urgency=low

  * New upstream release.
  * Drop libdir patch applied upstream.
  * Symlink source which lintian thinks is missing.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 09 Nov 2015 20:30:16 +0100

firejail (0.9.32-1) unstable; urgency=low

  * New upstream release.
  * Added README.Debian.
  * Added patch to fix the location of the lib dir.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 24 Oct 2015 14:24:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: firejail
 Section: utils
 Priority: optional
-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Debian-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Build-Depends: debhelper (>= 9), autotools-dev
-Standards-Version: 3.9.6
-Homepage: http://firejail.sourceforge.net
+Standards-Version: 3.9.7
+Homepage: https://firejail.wordpress.com
 
 Package: firejail
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --with autotools-dev

override_dh_fixperms:
	dh_fixperms
	chmod 4755 debian/firejail/usr/bin/firejail

override_dh_installchangelogs:
	dh_installchangelogs RELNOTES upstream

override_dh_auto_install:
	dh_auto_install
	# documentation will be installed by debhelper
	rm --verbose -rf debian/firejail/usr/share/doc/firejail

## firejail 0.9.38.10

=== debian/changelog ===
firejail (0.9.38.10-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream micro release.  (LP: #1658824)

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 16 Jan 2017 21:52:07 +0100

## firejail 0.9.40

=== debian/changelog ===
firejail (0.9.40-3) unstable; urgency=low

  * Replace patch for LXC support with improved version by upstream.
    Previous fix only worked for firejail as init process, not in
    user sessions inside containers (like with autopkgtest).

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 14 Jun 2016 21:46:32 +0200

firejail (0.9.40-2) unstable; urgency=low

  * Remove obsolete conffiles (Closes: #825877).
  * Add iptables to test dependencies.
  * Cherry-pick upstream patch for LXC detection.
    autopkgtests were failing in LXC because firejail wrongly
    detected an already existing sandbox.
  * Add gbp.conf to enable pristine-tar by default.
  * Add Vcs-* fields; git repository is now in collab-maint.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 03 Jun 2016 00:39:17 +0200

firejail (0.9.40-1) unstable; urgency=low

  * New upstream release.
    - Fix legacy Opera profile (Closes: #819950)
  * Add autopkgtests to run upstream's test suite.
    - skip test target in debian/rules, which is run in autopkgtest

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 30 May 2016 20:56:06 +0200

firejail (0.9.40~rc1-1) experimental; urgency=low

  * New upstream release candidate. (Closes: #823191)
  * Recommend xpra or xserver-xephyr for X11 isolation.
  * Drop autotools-dev; debhelper is now doing the same.
  * Bump copyright years to 2016.
  * Bump Standards-Version to 3.9.8.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 02 May 2016 19:33:26 +0200

=== debian/control ===
Source: firejail
Section: utils
Priority: optional
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: https://firejail.wordpress.com
Vcs-Git: https://anonscm.debian.org/git/collab-maint/firejail.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/firejail.git

Package: firejail
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xpra | xserver-xephyr
Description: sandbox to restrict the application environment
 Firejail is a SUID security sandbox program that reduces the risk of
 security breaches by restricting the running environment of untrusted
 applications using Linux namespaces and seccomp-bpf.  It allows a
 process and all its descendants to have their own private view of the
 globally shared kernel resources, such as the network stack, process
 table, mount table.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel --with autotools-dev
+	dh $@ --parallel
 
 override_dh_fixperms:
 	dh_fixperms
@@ -18,3 +18,6 @@
 	dh_auto_install
 	# documentation will be installed by debhelper
 	rm --verbose -rf debian/firejail/usr/share/doc/firejail
+
+override_dh_auto_test:
+	# skip tests here as they are run as autopkgtest

=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr, breaks-testbed
Depends: @, expect, file, strace, sudo, man-db, csh, zsh, xvfb, xserver-xephyr, xterm, evince, icedove, firefox, transmission-gtk

Tests: run-network-test
Restrictions: allow-stderr, breaks-testbed, isolation-container, needs-root
Depends: @, expect, iproute2, iptables, net-tools, bridge-utils

## firejail 0.9.44.8

=== debian/changelog ===
firejail (0.9.44.8-2+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2020-17367
    don't interpret output arguments after end-of-options tag
  * CVE-2020-17368
    don't pass command line through shell when redirecting output
 
 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 22 Aug 2020 12:03:02 +0200

firejail (0.9.44.8-2) unstable; urgency=medium

  * Cherry-pick upstream patch for memory corruption in noblacklist
    processing (Closes: #862083).

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 09 May 2017 21:15:19 +0200

firejail (0.9.44.8-1) unstable; urgency=medium

  * New upstream release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 19 Jan 2017 23:14:35 +0100

firejail (0.9.44.6-1) unstable; urgency=medium

  * New upstream release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 16 Jan 2017 19:33:26 +0100

firejail (0.9.44.4-1) unstable; urgency=high

  * New upstream release.
    - Security fixes for: CVE-2017-5180, CVE-2017-5206, CVE-2017-5207
      (Closes: #850528, #850558)
  * Drop patches applied upstream.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 07 Jan 2017 20:24:40 +0100

firejail (0.9.44.2-3) unstable; urgency=high

  * Add followup fix for CVE-2017-5180 (Closes: #850160).

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 06 Jan 2017 13:44:25 +0100

firejail (0.9.44.2-2) unstable; urgency=high

  * Add upstream fix for CVE-2017-5180 (Closes: #850160).

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 04 Jan 2017 23:56:30 +0100

firejail (0.9.44.2-1) unstable; urgency=medium

  * New upstream release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 04 Dec 2016 21:44:08 +0100

firejail (0.9.44-1) unstable; urgency=medium

  * New upstream release.
    - Fix sandbox escape via terminal input buffer similar to
      SELinux's CVE-2016-7545.
  * Run apps-x11-xorg tests during autopkgtest.
  * Add xauth to Recommends for x11=xorg sandbox feature.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 23 Oct 2016 13:13:17 +0200

firejail (0.9.44~rc1-1) experimental; urgency=low

  * New upstream release candidate.
    - Fix program crashes with nvidia driver (Closes: #839868)
  * Add iptables to Recommends for netfilter feature.
  * Bump debhelper compat level to 10.
    - Drop --parallel, which is now default behavior

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 16 Oct 2016 23:35:47 +0200

firejail (0.9.42-1) unstable; urgency=medium

  * New upstream release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 09 Sep 2016 19:16:52 +0200

firejail (0.9.42~rc2-1) experimental; urgency=low

  * New upstream release candidate.
    - shell prompt no longer overwritten by default (Closes: #834256)
  * Drop patch for build failure, applied upstream.
  * Add upstream signing key.
  * Check upstream signature with uscan.
  * Install upstream README.
  * Enable AppArmor support.
  * Include upstream sysutils tests in autopkgtest run.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 29 Aug 2016 21:39:09 +0200

firejail (0.9.42~rc1-2) experimental; urgency=low

  * Cherry-pick upstream fix for build failure on non-x86 platforms.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 28 Jul 2016 19:19:07 +0200

firejail (0.9.42~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Drop LXC patch applied upstream.
  * Add ping and wget to test dependencies.
  * Run autopkgtests in isolation-machine.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 25 Jul 2016 22:27:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10), libapparmor-dev
 Standards-Version: 3.9.8
 Homepage: https://firejail.wordpress.com
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/firejail.git
@@ -11,7 +11,7 @@
 Package: firejail
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: xpra | xserver-xephyr
+Recommends: iptables, xauth, xpra | xserver-xephyr
 Description: sandbox to restrict the application environment
  Firejail is a SUID security sandbox program that reduces the risk of
  security breaches by restricting the running environment of untrusted

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,17 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-apparmor
 
 override_dh_fixperms:
 	dh_fixperms
 	chmod 4755 debian/firejail/usr/bin/firejail
 
 override_dh_installchangelogs:
-	dh_installchangelogs RELNOTES upstream
+	dh_installchangelogs RELNOTES
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr, breaks-testbed, isolation-machine
Depends: @, expect, file, strace, sudo, man-db, iptables, iputils-ping, wget, csh, zsh, xvfb, xserver-xephyr, xterm, evince, icedove, firefox, transmission-gtk

Tests: run-network-test
Restrictions: allow-stderr, breaks-testbed, isolation-machine, needs-root
Depends: @, expect, iproute2, iptables, iputils-ping, net-tools, bridge-utils

## firejail 0.9.50

=== debian/changelog ===
firejail (0.9.50-3) unstable; urgency=medium

  * Upload to unstable.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 18 Sep 2017 00:53:38 +0200

firejail (0.9.50-2) experimental; urgency=low

  * Cherry-pick another seccomp-related build fix.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 10 Sep 2017 15:02:25 +0200

firejail (0.9.50-1) experimental; urgency=medium

  * New upstream release.
  * Drop build patch applied upstream.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 10 Sep 2017 03:01:53 +0200

firejail (0.9.50~rc1-2) experimental; urgency=low

  * Cherry-pick fix for build failure on some architectures.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 30 Aug 2017 22:33:09 +0200

firejail (0.9.50~rc1-1) experimental; urgency=low

  * New upstream release candidate.
    - Several profile fixes (Closes: #866014, #872287, #872720)
      Thanks to Martin Dosch for the reports and a patch.
    - Improve cross build support (Closes: #869707)
      Thanks to Helmut Grohne for providing the patch.
  * debian/copyright: Switch URLs to https.
  * Bump Standards-Version to 4.1.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 29 Aug 2017 18:31:22 +0200

firejail (0.9.48-2) unstable; urgency=medium

  * Upload to unstable.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 18 Jun 2017 13:48:09 +0200

firejail (0.9.48-1) experimental; urgency=low

  * New upstream release.
    - Allow jailed thunderbird to read mime data (Closes: #864510)
  * Run arguments and fcopy tests during autopkgtest.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 15 Jun 2017 12:24:55 +0200

firejail (0.9.46-2) experimental; urgency=low

  * Fix arch:all build by overriding dh_fixperms only for arch:any

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 20 May 2017 11:34:01 +0200

firejail (0.9.46-1) experimental; urgency=low

  * New upstream release.
  * Replace patch which prevented installation of contrib scripts to
    /usr/lib with newly added configure option.
  * Add Xvfb as alternative recommendation for X isolation.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 19 May 2017 00:28:31 +0200

firejail (0.9.46~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Split profiles into separate package (Closes: #850273).
    - New binary package firejail-profiles
    - Remove old profile conffiles from firejail binary package
    - Add NEWS to inform about the package split
  * debian/copyright:
    - Document copyright of contributed script
    - Update path of moved file
    - Bump copyright years to 2017
  * Install contrib scripts in doc directory.
  * Replace icedove with thunderbird in test dependencies.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 21 Apr 2017 19:39:04 +0200

firejail (0.9.44.10-1) experimental; urgency=medium

  * New upstream release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 25 Mar 2017 12:17:06 +0100

=== debian/control ===
Source: firejail
Section: utils
Priority: optional
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper (>= 10), libapparmor-dev
Standards-Version: 4.1.0
Homepage: https://firejail.wordpress.com
Vcs-Git: https://anonscm.debian.org/git/collab-maint/firejail.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/firejail.git

Package: firejail
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: firejail-profiles, iptables, xauth, xpra | xserver-xephyr | xvfb
Description: sandbox to restrict the application environment
 Firejail is a SUID security sandbox program that reduces the risk of
 security breaches by restricting the running environment of untrusted
 applications using Linux namespaces and seccomp-bpf.  It allows a
 process and all its descendants to have their own private view of the
 globally shared kernel resources, such as the network stack, process
 table, mount table.

Package: firejail-profiles
Architecture: all
Depends: ${misc:Depends}, firejail
Replaces: firejail (<< 0.9.46~rc1-1)
Breaks: firejail (<< 0.9.46~rc1-1)
Description: profiles for the firejail application sandbox
 Firejail is a SUID security sandbox program that reduces the risk of
 security breaches by restricting the running environment of untrusted
 applications using Linux namespaces and seccomp-bpf.  It allows a
 process and all its descendants to have their own private view of the
 globally shared kernel resources, such as the network stack, process
 table, mount table.
 .
 This package contains firejail profiles for various applications.

## firejail 0.9.52

=== debian/changelog ===
firejail (0.9.52-2) unstable; urgency=medium

  * Cleanup removed conffile in correct binary package. (Closes: #884915)
  * Bump debhelper compatibility/dependency to 11.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 21 Dec 2017 18:53:32 +0100

firejail (0.9.52-1) unstable; urgency=medium

  * New upstream release.
    - new command to help building new profiles (--build) (Closes: #860942)
  * Drop patch applied upstream.
  * Remove lxterminal.profile conffile, which was deleted upstream.
  * Bump Standards-Version to 4.1.2.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 16 Dec 2017 14:07:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper (>= 10), libapparmor-dev
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 11), libapparmor-dev
+Standards-Version: 4.1.2
 Homepage: https://firejail.wordpress.com
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/firejail.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/firejail.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-apparmor --enable-contrib-install=no

override_dh_fixperms-arch:
	dh_fixperms
	chmod 4755 debian/firejail/usr/bin/firejail

override_dh_installchangelogs:
	dh_installchangelogs RELNOTES

override_dh_installdocs:
	dh_installdocs -Xupdate_deb.sh

override_dh_auto_install:
	dh_auto_install
	# documentation will be installed by debhelper
	rm --verbose -rf debian/tmp/usr/share/doc/firejail

override_dh_install:
	dh_install -pfirejail --fail-missing
	dh_install -pfirejail-profiles --fail-missing -Xdefault.profile -Xserver.profile

override_dh_auto_test:
	# skip tests here as they are run as autopkgtest

=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr, breaks-testbed, isolation-machine
Depends: @, expect, file, strace, sudo, man-db, iptables, iputils-ping, wget, csh, zsh, xvfb, xserver-xephyr, xterm, evince, thunderbird, firefox, transmission-gtk

Tests: run-network-test
Restrictions: allow-stderr, breaks-testbed, isolation-machine, needs-root
Depends: @, expect, iproute2, iptables, iputils-ping, net-tools, bridge-utils

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)\-?(rc\d*)$/$1~$2/,pgpsigurlmangle=s/$/.asc/ \
http://sf.net/firejail/firejail-(\d\S*)\.tar\.(?:gz|bz2|xz)

## firejail 0.9.54

=== debian/changelog ===
firejail (0.9.54-1~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper compat 9 to ease backports; restore "--parallel" in
    rules.
  * Use dh_install for missed file detection instead of dh_missing.


 -- Steven Pusser <stevep@mxlinux.org>  Wed, 11 Jul 2018 10:43:31 -0700

firejail (0.9.54-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 19 May 2018 11:04:43 +0200

firejail (0.9.54-1) unstable; urgency=medium

  * New upstream release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 16 May 2018 20:30:01 +0200

firejail (0.9.54~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 13 May 2018 21:11:28 +0200

firejail (0.9.54~rc1-1) experimental; urgency=low

  * New upstream release candidate.
    - mark ~/.homesick as read-only by default (Closes: #884579)
      Thanks to Alexander Gerasiov for the patch.
  * Add NEWS entry about new user restriction feature.
  * Add renamed profile to maintscript helper.
  * Use dh_missing for missed file detection instead of dh_install.
  * Bump copyright years.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 07 May 2018 22:42:16 +0200

firejail (0.9.52-3) unstable; urgency=medium

  * Move packaging VCS to salsa.
  * Bump Standards-Version to 4.1.4.
  * Add upstream metadata file.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 27 Apr 2018 19:42:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: firejail
 Section: utils
 Priority: optional
-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper (>= 11), libapparmor-dev
-Standards-Version: 4.1.2
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+Build-Depends: debhelper (>= 9), libapparmor-dev
+Standards-Version: 4.1.4
 Homepage: https://firejail.wordpress.com
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/firejail.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/firejail.git
+Vcs-Git: https://salsa.debian.org/deki-guest/firejail.git
+Vcs-Browser: https://salsa.debian.org/deki-guest/firejail
 
 Package: firejail
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-apparmor --enable-contrib-install=no
@@ -26,6 +26,8 @@
 	rm --verbose -rf debian/tmp/usr/share/doc/firejail
 
 override_dh_install:
+	dh_install -pfirejail
+	dh_install -pfirejail-profiles -Xdefault.profile -Xserver.profile
 	dh_install -pfirejail --fail-missing
 	dh_install -pfirejail-profiles --fail-missing -Xdefault.profile -Xserver.profile

## firejail 0.9.56

=== debian/changelog ===
firejail (0.9.56-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Make all Recommends hard dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 22 Sep 2018 14:47:36 -0700

firejail (0.9.56-1) unstable; urgency=medium

  * New upstream release.
  * Move profiles test to unisolated test run.
  * Recommend iproute2 for tc used in fshaper.sh for --bandwidth feature.
  * Drop patch applied upstream.
  * Bump Standards-Version to 4.2.1.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 20 Sep 2018 23:34:09 +0200

firejail (0.9.56~rc1-1) experimental; urgency=low

  * New upstream release candidate.
    - evaluate UID_MIN at runtime instead of hardcoding during compilation
      (Closes: #900337)
  * Bump Standards-Version to 4.2.0.
  * debian/tests:
    - disable tests that attempt to access the internet
    - temporarily disable broken tests (fixed upstream already)
    - reorganize tests a bit; allow some to run unisolated

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 16 Aug 2018 19:26:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper (>= 9), libapparmor-dev
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11), libapparmor-dev
+Standards-Version: 4.2.1
 Homepage: https://firejail.wordpress.com
 Vcs-Git: https://salsa.debian.org/deki-guest/firejail.git
 Vcs-Browser: https://salsa.debian.org/deki-guest/firejail
 
 Package: firejail
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: firejail-profiles, iptables, xauth, xpra | xserver-xephyr | xvfb
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ firejail-profiles, iproute2, iptables, xauth, xpra | xserver-xephyr | xvfb
 Description: sandbox to restrict the application environment
  Firejail is a SUID security sandbox program that reduces the risk of
  security breaches by restricting the running environment of untrusted

=== debian/tests/control ===
Tests: simple-tests
Restrictions: allow-stderr
Depends: @, expect, file, sudo, procps, xzdec, cpio, less, strace, csh, zsh, man, iputils-ping, wget, x11-common

Tests: application-tests
Restrictions: allow-stderr, isolation-machine
Depends: @, expect, file, strace, sudo, man-db, iptables, iputils-ping, wget, csh, zsh, xvfb, xserver-xephyr, xterm, evince, thunderbird, firefox, transmission-gtk

Tests: network-test
Restrictions: allow-stderr, breaks-testbed, isolation-machine, needs-root
Depends: @, expect, iproute2, iptables, iputils-ping, net-tools, bridge-utils

## firejail 0.9.58

=== debian/changelog ===
firejail (0.9.58-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper 10 compat to ease backports.
  * debian/rules: change dh_missing to dh_install.
  * Make recommended packages dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Jan 2019 16:42:50 -0800

firejail (0.9.58-1) unstable; urgency=medium

  * New upstream release.
  * Mark github-desktop.profile as moved conffile.
  * Allow ptrace read/readby requests in AppArmor profile.
    Thanks to Salvo Tomaselli for the report and intrigeri for help with
    AppArmor. (Closes: #912587)
  * Restrict networking feature by default in firejail.config, as a new
    network namespace can circumvent packet filter of default namespace.
    Thanks to Alain Ducharme for the report. (Closes: #916920)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 27 Jan 2019 17:09:49 +0100

firejail (0.9.58~rc1-1) experimental; urgency=low

  * New upstream release candidate.
    - fix profile detection when path contains spaces (Closes: #903831)
  * Drop patch applied upstream.
  * Bump copyright years.
  * Bump Standards-Version to 4.3.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 21 Jan 2019 21:37:32 +0100

firejail (0.9.56-2) unstable; urgency=medium

  * Properly (re)move obsolete conffiles.
    Thanks to Paul Wise for repeatedly reporting these issues.
    (Closes: #909640)
  * Mark autopkgtests as flaky, as some tests behave differently than
    expected depending on the environment they are run in.
  * Cherry-pick upstream patches to skip some environment-dependent tests.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 01 Oct 2018 15:55:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper (>= 11), libapparmor-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 10.2), libapparmor-dev
+Standards-Version: 4.3.0
 Homepage: https://firejail.wordpress.com
 Vcs-Git: https://salsa.debian.org/deki-guest/firejail.git
 Vcs-Browser: https://salsa.debian.org/deki-guest/firejail
@@ -12,7 +12,8 @@
 Package: firejail
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- firejail-profiles, iproute2, iptables, xauth, xpra | xserver-xephyr | xvfb
+         firejail-profiles, iproute2, iptables, xauth,
+         xpra | xserver-xephyr | xvfb
 Description: sandbox to restrict the application environment
  Firejail is a SUID security sandbox program that reduces the risk of
  security breaches by restricting the running environment of untrusted

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-apparmor --enable-contrib-install=no
